Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 368264 - Various components missing from win32 installer builds (chardet.dll, universalchardet.dll) -- no auto-detect character encoding
: Various components missing from win32 installer builds (chardet.dll, universa...
: fixed-seamonkey1.1.1, regression
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: x86 Windows XP
: -- critical (vote)
: ---
Assigned To:
: installer
: 370040 (view as bug list)
Depends on:
Blocks: 361437 368823
  Show dependency treegraph
Reported: 2007-01-25 19:55 PST by Andrew Schultz
Modified: 2008-07-31 02:13 PDT (History)
6 users (show)
csthomas: blocking‑seamonkey1.1.1+
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---

Proposed patch (3.02 KB, patch)
2007-01-26 03:23 PST,
ajschult: review+
Details | Diff | Splinter Review
Branch patch (1.90 KB, patch)
2007-01-27 12:59 PST,
ajschult: review+
kairo: approval‑seamonkey1.1.1+
Details | Diff | Splinter Review

Description Andrew Schultz 2007-01-25 19:55:46 PST
Bug 361437 switched the installer to use local GRE by default.  With local GRE, various things are missing after installation.  Specifically, chardet.dll and unversalchardet.dll, probably others.  The symptom people seem to notice is that the "auto-detect" character encoding menu item is missing.

The reason for the bustage is that browser.jst deletes the files after they get installed.  The upgradeCleanup first deletes files it thinks are not part of the GRE and then files that are part of the GRE /if/ the GRE was not installed locally.  Unforunately, the lists are wrong.  chardet.dll and universalchardet.dll (among others) are both in the non-GRE list.

To fix this, either
1. Identify all files that are part of the GRE (see mozilla/embedding/config/)
2. Move those files from the non-GRE list to the GRE list.
Switch back to non-local GRE.
Comment 1 Chris Thomas (CTho) [formerly] 2007-01-25 20:01:43 PST
Neil, can I have your r and sr to back out BenoitRen's patch?  And KaiRo's approval?  Non-local GRE got much more testing than local.
Comment 2 2007-01-26 03:23:17 PST
Created attachment 252897 [details] [diff] [review]
Proposed patch

By saving the installer files locally and removing the call to upgradeCleanup I was able to verify that only these two files are affected.
Comment 3 Robert Kaiser 2007-01-26 03:34:23 PST
Nice. I'd much more prefer if we are able to solve this with keeping locale GRE in place.
Comment 4 Andrew Schultz 2007-01-26 05:07:06 PST
Comment on attachment 252897 [details] [diff] [review]
Proposed patch

right.  I just verified that all the other files from gre.xpi were not deleted.
Comment 5 2007-01-26 05:38:37 PST
Fix checked in to the trunk, but leaving on the radar for the branch.
Comment 6 2007-01-27 12:59:26 PST
Created attachment 253032 [details] [diff] [review]
Branch patch

Branch really doesn't want chardet.dll but it wants universalchardet.dll (View/Character Coding/Auto-Detect/Universal).
Comment 7 Robert Kaiser 2007-01-27 16:27:42 PST
Comment on attachment 253032 [details] [diff] [review]
Branch patch

a=me for 1.1.1 (given it gets r+)
Comment 8 Andrew Schultz 2007-01-27 23:42:52 PST
Comment on attachment 253032 [details] [diff] [review]
Branch patch

(note that packager/build/ is super-obsolete)
Comment 9 2007-01-28 02:18:10 PST
Fixed on the branch too.
Comment 10 Simon Montagu :smontagu 2007-02-11 03:12:37 PST
*** Bug 370040 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.